Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderOperand_::ZydisEncoderOperandReg_ Struct Reference

Extended info for register-operands. More...

`#include <Encoder.h>`

## Data Fields
ZydisRegister | value
| The register value.
ZyanBool | is4
| Is this 4th operand (VEX/XOP).

## Detailed Description

Extended info for register-operands.

## Field Documentation

## ◆ is4

ZyanBool is4

Is this 4th operand (VEX/XOP).

Despite its name, is4 encoding can sometimes be applied to 3rd operand instead of 4th. This field is used to resolve such ambiguities. For all other operands it should be set to ZYAN_FALSE.

## ◆ value

ZydisRegister value

The register value.

The documentation for this struct was generated from the following file:

- include/Zydis/Encoder.h